<template>
  <div>
    <Breadcrumb :breadcrumb="[{ name: 'Khuyến mại', url: '' }]" />
    <section class="clearfix">
      <h1 class="title_cate">
        <span>Chuyên trang khuyến mại</span>
      </h1>
      <p class="txt_16 mb24">
        Nơi tổng hợp tất cả chương trình khuyến mại tại hệ thống máy tính
        ThinkPro. Để bạn không bỏ lỡ bất kỳ ưu đãi nào, tất cả sẽ có ở đây nhé!
      </p>
      <div class="flex tab-default tab-default_2">
        <a href="#tab1" :class="{ active: isTab == 1 }" @click="isTab = 1">
          Chương trình khuyến mại
        </a>
        <a href="#tab2" :class="{ active: isTab == 2 }" @click="isTab = 2">
          Sản phẩm đang Sale
        </a>
        <a href="#tab3" :class="{ active: isTab == 3 }" @click="isTab = 3">
          Đặt hàng giảm giá
        </a>
      </div>
      <div class="tab-container">
        <div v-show="isTab === 1" id="tab1" class="min-container">
          <ArticleListSmall />
          <Pagination />
        </div>
        <div v-show="isTab === 2" id="tab2">
          <ProductList4 />
          <Pagination />
        </div>
        <div v-show="isTab === 3" id="tab3">
          <ProductList5 />
          <Pagination />
        </div>
      </div>
      <div class="min-container">
        <Comment />
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'PageSale',
  components: {
    Breadcrumb: () => import('~/components/Breadcrumb'),
    ArticleListSmall: () => import('~/components/Articles/ArticleListSmall'),
    ProductList4: () => import('~/components/Products/Category/ProductList4'),
    ProductList5: () => import('~/components/Products/Category/ProductList5'),
  },
  data() {
    return {
      isTab: 1,
    }
  },
}
</script>
<style lang="scss" src="~/assets/css/article.scss"></style>
<style lang="scss" src="~/assets/css/comment.scss"></style>
